commit:     04452b54e30d3b0a6ef1e33f79a2c7b9d6cdffee
Author:     Pedro Arizmendi <dwosky <AT> pm <DOT> me>
AuthorDate: Sun Dec  1 21:05:58 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 13:28:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04452b54

www-misc/monitorix: Bump to v3.16.0

Signed-off-by: Pedro Arizmendi <dwosky <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/39546
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-misc/monitorix/Manifest                |   1 +
 www-misc/monitorix/monitorix-3.16.0.ebuild | 117 +++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/www-misc/monitorix/Manifest b/www-misc/monitorix/Manifest
index 8faf181c17b9..0bb055fba1c2 100644
--- a/www-misc/monitorix/Manifest
+++ b/www-misc/monitorix/Manifest
@@ -1,2 +1,3 @@
 DIST monitorix-3.14.0.tar.gz 393803 BLAKE2B 
84a2b0a8417a405757e43c752b8e4aa0faf4c750895e5425801c3682f25671b8b4858ee4fdf94e4da181250c0ddbdc9237624af0d1dcbec4a29a8076f35a9fc6
 SHA512 
c7b11b2144b9cdcc5fdb33cfe208d5d5c7c8e27dfdacd51148a4077748632e592cf07dbecd5992c34ff4aea982e62a03a20d1920fe142da7f6ed5367729bfd2e
 DIST monitorix-3.15.0.tar.gz 404645 BLAKE2B 
f76f93c3c4bda3af501f60fa50a9c04e4f5b666827f725fd9f5c68c54d7320f0d5a8f14fc933328e33fb9fb24eb725fe18350b18c5dbf3b43fc00baa337d3a52
 SHA512 
1dffbd45f0aa7049296121da29f4d450d06e7960883e9a09390bcf6f4bb25d027c1154601b5f738cfbb74c6bbf5df25f61d68268428b730a0cce12834d2986ea
+DIST monitorix-3.16.0.tar.gz 407707 BLAKE2B 
328681b63107db80f6c2f77a95bc90c2fcce7ca4aac78a9a7493937ed3bac5a88dd3f4c5449abc0fea00a9efa738b8742ce1c15b7122eee099107439337afa88
 SHA512 
92baa4470fb1a2ea482de644975be214086bdf5af3820c23369ebd12128a55a45671d8c30c395643c36bf46b4ac55d5276ca44e671fa3060b84dcaa8e7562988

diff --git a/www-misc/monitorix/monitorix-3.16.0.ebuild 
b/www-misc/monitorix/monitorix-3.16.0.ebuild
new file mode 100644
index 000000000000..6aa2c9bc57bf
--- /dev/null
+++ b/www-misc/monitorix/monitorix-3.16.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd optfeature
+
+DESCRIPTION="A lightweight system monitoring tool"
+HOMEPAGE="https://www.monitorix.org/";
+SRC_URI="https://www.monitorix.org/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       acct-group/monitorix
+       acct-user/monitorix
+       dev-perl/CGI
+       dev-perl/Config-General
+       dev-perl/DBI
+       dev-perl/HTTP-Server-Simple
+       dev-perl/IO-Socket-SSL
+       dev-perl/MIME-Lite
+       dev-perl/XML-Simple
+       dev-perl/libwww-perl
+       net-analyzer/rrdtool[graph,perl]"
+
+src_prepare() {
+       # Put better Gentoo defaults in the configuration file.
+       sed -e "s|\(secure_log.*\)/var/log/secure|\1/var/log/auth.log|" \
+               -e "s|nobody|${PN}|g" -i ${PN}.conf || die
+       # Update systemd binary location
+       sed -e "s|/usr/bin|/usr/sbin|g" -i docs/${PN}.service || die
+       eapply_user
+}
+
+# Override compile phase
+src_compile() { :; }
+
+src_install() {
+       dosbin ${PN}
+
+       newinitd "${FILESDIR}/monitorix" ${PN}
+
+       insinto /etc/monitorix
+       doins ${PN}.conf
+
+       keepdir /etc/${PN}/conf.d
+
+       insinto /etc/logrotate.d
+       newins docs/${PN}.logrotate ${PN}
+
+       dodoc Changes README{,.nginx} 
docs/${PN}-{alert.sh,apache.conf,lighttpd.conf}
+       doman man/man5/${PN}.conf.5
+       doman man/man8/${PN}.8
+
+       insinto /var/lib/${PN}/www
+       doins logo_bot.png logo_top.png ${PN}ico.png
+
+       insinto /var/lib/${PN}/www/css
+       doins css/*.css
+
+       keepdir /var/lib/${PN}/www/imgs
+       fowners monitorix:monitorix /var/lib/${PN}/www/imgs
+
+       exeinto /var/lib/${PN}/www/cgi
+       doexe ${PN}.cgi
+
+       exeinto /usr/lib/${PN}
+       doexe lib/*.pm
+
+       keepdir /var/lib/${PN}/usage
+       insinto /var/lib/${PN}/reports
+       doins -r reports
+
+       systemd_dounit docs/${PN}.service
+}
+
+pkg_postinst() {
+       optfeature_header "Optional package dependencies for certain graphs:"
+       optfeature "disk drive temperatures and health" app-admin/hddtemp
+       optfeature "email reports/statics" mail-mta/postfix mail-mta/sendmail
+       optfeature "lm-sensors and GPU temperatures" sys-apps/lm-sensors
+       optfeature "ZFS statistics" sys-fs/zfs
+       optfeature "Tinyproxy statistics" "net-proxy/tinyproxy 
dev-perl/XML-LibXML"
+       optfeature "Libvirt statistics" app-emulation/libvirt
+       optfeature "System services demand" mail-filter/MailScanner 
mail-filter/amavisd-new
+       optfeature "Mail statistics" mail-filter/MailScanner 
mail-filter/amavisd-new
+       optfeature "FTP statistics" net-ftp/proftpd net-ftp/vsftpd 
net-ftp/pure-ftpd
+       optfeature "Apache statistics" www-servers/apache
+       optfeature "Nginx statistics" www-servers/nginx
+       optfeature "Lighttpd statistics" www-servers/lighttpd
+       optfeature "MySQL statistics" dev-db/mysql
+       optfeature "PostgreSQL statistics" dev-db/postgresql
+       optfeature "MongoDB statistics" dev-db/mongodb
+       optfeature "Varnish cache statistics" www-servers/varnish
+       optfeature "Squid Proxy Web Cache" net-proxy/squid
+       optfeature "NFS client/server statistics" net-fs/nfs-utils
+       optfeature "BIND statistics" "net-dns/bind dev-perl/XML-LibXML"
+       optfeature "Unbound statistics" net-dns/unbound
+       optfeature "NTP statistics"  net-misc/ntp
+       optfeature "Chrony statistics" net-misc/chrony
+       optfeature "Fail2ban statistics" net-analyzer/fail2ban
+       optfeature "Icecast Streaming Media Server" net-misc/icecast
+       optfeature "Memcached statistics" net-misc/memcached
+       optfeature "Redis statistics" dev-db/redis
+       optfeature "APC UPS statistics" sys-power/apcupsd
+       optfeature "Network UPS Tools statistics" sys-power/nut
+       optfeature "Monitoring the Internet traffic of your LAN" 
"net-firewall/iptables dev-perl/Net-IP"
+
+       elog
+       elog "If you wish to use your own web server:"
+       elog "  Web data can be found at: ${EROOT}/var/lib/${PN}/www/"
+       elog "  Also please check the correct user and group ownership"
+       elog "  of ${EROOT}/var/lib/${PN}/www/imgs/"
+}

Reply via email to